- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_write_concern_t

# mongoc_write_concern_is_acknowledged()

## Synopsis

    bool
    mongoc_write_concern_is_acknowledged (
       const mongoc_write_concern_t *write_concern);

## Parameters

- `write_concern`: A mongoc_write_concern_t.

## Description

Test if this is an acknowledged or unacknowledged write concern.

If `write_concern` is NULL, returns true. (In other words, writes are acknowledged by default.)

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.